データソースを取得
curl --request GET \
--url https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"columns": [
{
"name": "<string>",
"type": "<string>"
}
],
"createdAt": "<string>",
"datasourceId": "<string>",
"datasourceName": "<string>",
"datasourceType": "FILE",
"lastIngestionStatus": "FAILED"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}データソースの取り込み
Retrieve data source
HubSpot データスタジオの特定のデータソースに関する詳細情報を取得します。このエンドポイントにより、データソースの名前、タイプ、作成日、前回のデータ取り込みのステータスなどの詳細が提供されます。プログラムを使用してデータソースにアクセスして管理する必要がある開発者にとって便利です。
GET
/
data-studio
/
data-source
/
2026-09
/
{datasourceId}
データソースを取得
curl --request GET \
--url https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"columns": [
{
"name": "<string>",
"type": "<string>"
}
],
"createdAt": "<string>",
"datasourceId": "<string>",
"datasourceName": "<string>",
"datasourceType": "FILE",
"lastIngestionStatus": "FAILED"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
データソースのID。
レスポンス
successful operation
データソース内の列を表すFileColumnオブジェクトの配列。
Show child attributes
Show child attributes
データソースの作成日時で、文字列で表されます。
データソースの固有IDで、64ビット整数として表されます。
データソースの名前で、文字列として表されます。
データソースのタイプで、有効な値は「FILE」の文字列です。
利用可能なオプション:
FILE, JSON 最後のデータ取り込みプロセスのステータスで、文字列として表されます。有効な値は「SUCCESSFUL」、「IN_PROGRESS」、「FAILED」などです。
利用可能なオプション:
FAILED, IN_PROGRESS, SUCCESSFUL 最終更新日 2026年10月6日